<?php
/**************** 문자전송하기 예제 필독항목 ******************/
/* 동일내용의 문자내용을 다수에게 동시 전송하실 수 있습니다
/* 대량전송시에는 반드시 컴마분기하여 1천건씩 설정 후 이용하시기 바랍니다. (1건씩 반복하여 전송하시면 초당 10~20건정도 발송되며 컨텍팅이 지연될 수 있습니다.)
/* 전화번호별 내용이 각각 다른 문자를 다수에게 보내실 경우에는 치환기능을 이용하시기 바랍니다.

/****************** 인증정보 시작 ******************/
$sms_url = "https://www.ssorago.com/front/api/rest/send/"; // 전송요청 URL
$sms['key'] = "xxxxx";//API Key
/****************** 인증정보 끝 ********************/

/****************** 전송정보 설정시작 ****************/
$_POST['sender'] = '01012341234';							//발신번호
$_POST['adYn'] = 'Y';										//광고여부
$_POST['bizName'] = 'SSORAGO';								//상호명
$_POST['msg'] ="#이름#님! 안녕하세요.";							//메시지 내용(치환기능: #이름#, #항목1#, #항목2#, #항목3#, #항목4#)
$_POST['receiver'] = '01012341234$홍길동,01012341235$홍길순';	//받는사람(01012341234$이름1$항목1,01012341235$이름2$항목1)
$_POST['interYn'] = 'N';									//국제발송여부
$_POST['st'] = 'MMS';										//발송타입(SMS,LMS,MMS)
$_POST['title'] = 'API테스트';									//문자제목(LMS,MMS만 허용)
$_POST['reserve'] = '202012071800';							//예약일시
$_POST['time'] = '10';										//분할 간격
$_POST['cnt'] = '1';										//분할 건수
// ※ msg_type 미지정시 글자수/그림유무가 판단되어 자동변환됩니다. 단, 개행문자/특수문자등이 2Byte로 처리되어 SMS 가 LMS로 처리될 가능성이 존재하므로 반드시 msg_type을 지정하여 사용하시기 바랍니다.
/****************** 전송정보 설정끝 ***************/

$sms['msg'] = stripslashes($_POST['msg']);
$sms['receiver'] = $_POST['receiver'];
$sms['adYn'] = $_POST['adYn'];
$sms['sender'] = $_POST['sender'];
$sms['bizName'] = $_POST['bizName'];
$sms['interYn'] = $_POST['interYn'];
$sms['st'] = $_POST['st'];
$sms['reserve'] = $_POST['reserve'];
$sms['title'] = $_POST['title'];
$sms['time'] = $_POST['time'];
$sms['cnt'] = $_POST['cnt'];
// 만일 $_FILES 로 직접 Request POST된 파일을 사용하시는 경우 move_uploaded_file 로 저장 후 저장된 경로를 사용하셔야 합니다.
if(!empty($_FILES['attFile']['tmp_name'])) {
	$tmp_filetype = mime_content_type($_FILES['attFile']['tmp_name']); 
	if($tmp_filetype != 'attFile/png' && $tmp_filetype != 'image/jpg' && $tmp_filetype != 'image/jpeg') $_POST['attFile'] = '';
	else {
		$_savePath = "./".uniqid(); // PHP의 권한이 허용된 디렉토리를 지정
		if(move_uploaded_file($_FILES['file']['tmp_name'], $_savePath)) {
			$_POST['attFile'] = $_savePath;
		}
	}
}
// 이미지 전송 설정
if(!empty($_POST['attFile'])) {
	if(file_exists($_POST['attFile'])) {
		$tmpFile = explode('/',$_POST['attFile']);
		$str_filename = $tmpFile[sizeof($tmpFile)-1];
		$tmp_filetype = mime_content_type($_POST['attFile']);
		if ((version_compare(PHP_VERSION, '5.5') >= 0)) { // PHP 5.5버전 이상부터 적용
			$sms['attFile'] = new CURLFile($_POST['attFile'], $tmp_filetype, $str_filename);
			curl_setopt($oCurl, CURLOPT_SAFE_UPLOAD, true);
		} else {
			$sms['attFile'] = '@'.$_POST['attFile'].';filename='.$str_filename. ';type='.$tmp_filetype;
		}
	}
}
/*****/
$host_info = explode("/", $sms_url);
$port = $host_info[0] == 'https:' ? 443 : 80;

$oCurl = curl_init();
curl_setopt($oCurl, CURLOPT_PORT, $port);
curl_setopt($oCurl, CURLOPT_URL, $sms_url);
curl_setopt($oCurl, CURLOPT_POST, 1);
curl_setopt($oCurl, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($oCurl, CURLOPT_POSTFIELDS, $sms);
curl_setopt($oCurl, CURLOPT_SSL_VERIFYPEER, FALSE);
$ret = curl_exec($oCurl);
curl_close($oCurl);

echo $ret;
$retArr = json_decode($ret); // 결과배열
// print_r($retArr); // Response 출력 (연동작업시 확인용)

/**** Response 항목 안내 ****
// resultCode : 결과코드
// resultMessage : 결과 메세지
// mid : 메세지 ID = 고유값을 반드시 기록해 놓으셔야 sms_list API를 통해 전화번호별 성공/실패 유무를 확인하실 수 있습니다
// successCnt : 요청성공 건수
// errorCnt : 요청실패 건수
/**** Response 예문 끝 ****/